#
# spec file for package gnome-games
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-games
Version:        3.10.0
Release:        6.1
Summary:        Games for GNOME -- meta package
License:        GPL-2.0+ and GPL-3.0+ and LGPL-2.1+
Group:          Amusements/Games/Other
Url:            http://www.gnome.org
Source0:        README.openSUSE
Source1:        README-recommended.openSUSE
# This turned into a 'meta package', used for convenience, to clean up after the gnome-games 'split'
Obsoletes:      gnome-games-support < 3.7
Obsoletes:      gnome-games-support-lang < 3.7
Requires:       five-or-more
Requires:       four-in-a-row
Requires:       gnome-chess
Requires:       gnome-klotski
Requires:       gnome-mahjongg
Requires:       gnome-mines
Requires:       gnome-nibbles
Requires:       gnome-robots
Requires:       gnome-sudoku
Requires:       gnome-tetravex
Requires:       iagno
Requires:       lightsoff
Requires:       quadrapassel
Requires:       swell-foop
Requires:       tali
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME games is a collection of simple, but addictive, games from the
GNOME desktop project. They represent many of the popular games and
include card games, puzzle games and arcade games. They are meant to
be the sort of game that can be played in five minutes or so. They are
also meant to be fun enough that you will play them again and
again. Of course we can't be held responsible for the time and
productivity lost while playing them.

%package recommended
Summary:        Recommended Games for GNOME
Group:          Amusements/Games/Other
# Commented out requires are the games we don't want in recommended
Requires:       gnome-chess
#Requires:       five-or-more
#Requires:       four-in-a-row
#Requires:       gnome-nibbles
#Requires:       gnome-robots
Requires:       gnome-mines
Requires:       gnome-sudoku
#Requires:       gnome-tetravex
#Requires:       gnome-klotski
#Requires:       tali
Requires:       gnome-mahjongg
Requires:       iagno
Requires:       lightsoff
Requires:       quadrapassel
Requires:       swell-foop

%description recommended
GNOME games is a collection of simple, but addictive, games from the
GNOME desktop project. They represent many of the popular games and
include card games, puzzle games and arcade games. They are meant to
be the sort of game that can be played in five minutes or so. They are
also meant to be fun enough that you will play them again and
again. Of course we can't be held responsible for the time and
productivity lost while playing them.

This package will install a set of recommended games.

%prep
cp -a %{S:0} .
cp -a %{S:1} .

%build

%install

%clean

%post
# Remove obsolete scores.
# Obsolete since 10.0&SLED10:
# Obsolete since 10.3&SLED11:
rm -f var/games/games/gnome-stones.scores
# Obsolete since 11.3:
rm -f var/games/gnometris.scores
rm -f var/games/same-gnome.Large.scores
rm -f var/games/same-gnome.Medium.scores
rm -f var/games/same-gnome.Small.scores

%files
%defattr(-, root, root)
%doc README.openSUSE

%files recommended
%defattr(-, root, root)
%doc README-recommended.openSUSE

%changelog
* Wed Sep 25 2013 dimstar@opensuse.org
- Bump version to 3.10.0:
  + No changes; this is a meta package only.
* Wed Mar  6 2013 dimstar@opensuse.org
- Bump version to 3.7.90:
  + This package does not exist upstream anymore, as all the games
    from gnome-games were split into their own tarballs.
  + This package is a pure meta package now (as it was the case
    before, when looking at the main package), requring and
    recommending the respective games from the separate packages.
  + Keeping this package around allows for an easy upgrade path.
- Drop all BuildRequires and instructions in build and install
  sections, as there is nothing to be done anymore.
- Drop gnome-games-support(-lang) subpackages, and obsolete them.
- Adjust the Requires to reflect the new game names. The obsoletion
  of the respective old names is done by each game package
  individually.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + swell-foop: prevent keyboard focus from going to the toolbar.
  + Updated translations.
* Wed Sep 26 2012 dimstar@opensuse.org
- Update to version 3.6.0.2:
  + glchess: Fix crash on startup due to incorrect usage of
    GApplication.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0.1:
  + Fix for a map loading in the Vala rewrite of Mahjongg.
- Changes from version 3.6.0:
  + General: code modernization and libgames deprecation.
  + Gnomine: the timer is not stopped at the end
  + Updated translations.
* Fri Sep 14 2012 vuntz@opensuse.org
- Remove gobject-introspection-devel BuildRequires: it's not needed
  anymore since 3.5.2.
* Mon Aug 20 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + The major changes in this release are:
  - Gtali was ported to GtkApplication and got an app menu
  - Timers was split out of libgames-support
  + gtali: Add GtkApplication (and application menu) support
  + lightsoff: Fix transition of won board
  + Several bug fixes.
  + Updated documentation.
  + Updated translations.
* Mon Aug  6 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Major changes:
  - The high score dialogs got a date field
  - Simplify preferences of several games
  + Bug fixes, code cleanups.
  + Updated documentation.
  + Updated translations.
* Tue Jul 17 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + Mahjongg was renamed to gnome-mahjongg
  + Swell-foop can now be played with keyboard, got a 256x256
    icon, and now has mnemonics in the preferences dialog.
  + Gnomine got a "Replay game" option in the menu. It also has
    improved help and better wording in the gui.
  + Chess had some fixes to chess rules and no longer leaves behind
    engine processes.
  + Updated translations.
- Rename mahjongg subpackage to gnome-mahjongg, following upstreams
  name change. The old package name is provided/obsoleted.
* Sun Jun 10 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + Major changes:
  - Glines and mahjongg both use GtkApplication and app menu.
  - Sudoku now uses xdg data directory for saved games
  - Mallard docs for quadrapassel/lightsoff
  + glchess: fix phalanx/gnuchess output interpretation
  + glines: fix closing via window decoration
  + gnotravex: Only show congratulations message if score is in
    top 10
  + mahjongg: ability to select new stone without unselecting
    existing one
  + swell-foop: fix saving score twice
  + Drop introspection for libgames-support.
  + Several other code changes.
  + Bugs fixed: #bgo#673347, bgo#675434
  + Updated translations.
- Drop glchess-engines.patch: fixed upstream
* Fri May 18 2012 dimstar@opensuse.org
- Add glchess-engines.patch: More flexibly parse the output of
  gnuchess and phalanx engines.
* Tue May 15 2012 vuntz@opensuse.org
- Update to version 3.4.2:
  + Documentation fixes.
  + Updated translations.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Fix help links for modules that still use docbook
  + glines: Fix closing via window decoration
  + gnomine: Port to mallard help
  + mahjongg: Can't select new stone without unselecting existing
    one
  + swell-foop: Fix saving score twice
  + Build fixes.
  + Updated translations.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Small fixes.
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Remove hack to find localized help: this has been fixed in
  find-lang.sh.
* Tue Mar 20 2012 vuntz@opensuse.org
- Update to version 3.3.92:
  + Ported swell-foop to vala.
  + Misc bug fixes.
  + Updated translations.
- Remove seed Requires from swell-foop as it got ported to vala.
- Change swell-foop packaging for high score handling:
  + Add /bin/chown, /bin/chmod, /usr/bin/touch, permissions PreReq,
    since that's needed for scriptlets.
  + Use the new generated swell-foop.scores_post file in %%post.
  + Call %%set_permissions %%{_bindir}/swell-foop in %%post.
  + Add a %%verifyscript with %%verify_permissions -e
    %%{_bindir}/swell-foop.
  + Make %%{_bindir}/swell-foop owned by games:games.
* Sun Mar 11 2012 dimstar@opensuse.org
- Update to version 3.3.91.1:
  + Fixed a build problem in the docs.
* Mon Mar  5 2012 dimstar@opensuse.org
- Update to version 3.3.91:
  + Use GMenu: gnomine, iagno, lightsoff, quadrapassel
  + Use GtkApplication: quadrapassel
  + glchess: Better performance by caching surfaces for pieces
  + iagno: Use infobar to show warning & game over messages
  + quadrapassel: "Show where the block will land" always appeared
    unchecked
  + Updated translations.
* Tue Feb  7 2012 vuntz@opensuse.org
- Update to version 3.3.5:
  + Help is built with yelp-tools instead of gnome-doc-utils
  + Performance improvements: iagno, gnomine, mahjongg
  + Removed statusbar: gnomine, iagno
  + iagno:
  - Add back 'Flip final results' option
  + gnomine:
  - Add a new game screen
  - Increase minimum mine size
  + quadrapassel:
  - Port from C++ to Vala
  - Add show where block will land
  - Add fullscreen option
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Remove now unneeded gcc-c++ BuildRequires.
- Add vala BuildRequires for the vala games.
- Add explicit pkgconfig(gtk+-3.0) BuildRequires, so it can be
  versioned.
- Change gnome-doc-utils-devel BuildRequires to yelp-tools,
  following upstream change.
- Add the usual hack to correctly detect translated help installed
  in new directory until %%find_lang does it.
* Wed Jan 25 2012 vuntz@opensuse.org
- Add missing %%glib2_gsettings_schema_post in %%post of gnobots2.
- Fix %%postun of swell-foop to use %%glib2_gsettings_schema_postun
  instead of %%glib2_gsettings_schema_post.
* Wed Jan 18 2012 vuntz@opensuse.org
- Update to version 3.3.4.1:
  + Fixes setgid for high scores code
  + Cleanup of build system.
  + Updated translations.
* Wed Jan 18 2012 vuntz@opensuse.org
- Add pkgconfig(gl) and pkgconfig(glu) BuildRequires: they are
  needed to build glchess.
* Tue Jan 17 2012 vuntz@opensuse.org
- Update to version 3.3.4:
  + The port to GSettings was completed
  + Games ported to vala: iagno
  + Games ported to mallard: glines, gnomine, mahjongg, sudoku
  + Games using GtkApplication: glChess, gnomine, iagno, lightsoff,
    mahjongg
  + Gnotravex uses the new GMenuModel
  + Mahjongg dropped its statusbar
  + Dropped smclient support
  + Dropped embedded version of gnuchess
  + Iagno now uses scalable graphics
  + Deprecation fixes
  + Build system changes.
  + Updated translations.
- Drop gnome-games-gnobots2-scores-build.patch: fixed upstream.
- Drop gnome-common BuildRequires and (misplaced!) call to
  gnome-autogen.sh that were needed for above patch.
- Replace gconf schema packaging machinery with gsettings machinery
  for gnect, gnibbles, gnobots2, gnome-sudoku, gnotski, gtali,
  quadrapassel and swell-foop.
- Remove gconf2-devel BuildRequires since there is no use of gconf
  anymore.
- Remove now non-existing --disable-schemas-install configure
  option.
- Remove now non-existing --disable-gnuchess configure option
  (there's no embedded version of gnuchess anymore).
- Remove checks for old versions of openSUSE (<= 11.1).
* Sat Dec 24 2011 vuntz@opensuse.org
- Update to version 3.3.3:
  + Games ported to vala: gnomine, gnotravex, and lightsoff.
  + Many games reorganized the code into /src and /data
  + Dropped status bar (gnomine, gnotravex, lightsoff)
  + Mallard docs: (chess, glines, iagno, sudoku)
  + GtkApplication used in gnotravex
  + Confirm before starting new game (gnomine)
  + Gnibbles adjust number of bonuses based on number of players
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Add gnome-games-gnobots2-scores-build.patch: fix creation of
  .scores files for gnobots2 during "make install".
- Add gnome-common BuildRequires and call to gnome-autogen.sh for
  above patch.
- Replace gconf schema packaging machinery with gsettings machinery
  for lightsoff.
- Remove seed Requires from lightsoff, since it's now written in
  vala.
* Wed Oct 26 2011 dimstar@opensuse.org
- Update to version 3.3.1:
  + Glines:
  - Use .ui files
  - Set correct icon
  - Repaint board on bgcolor change
  + Gnect: minor typo fix
  + Mahjongg:
  - Port from C to Vala
  - Fix hints showing when doing new hints / cancelling them
  + Swell-foop: efault theme was renamed to Shapes and Colors
  + Updated translations.
* Tue Oct 18 2011 vuntz@opensuse.org
- Update to version 3.2.1:
  + Updated translations.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Accept either pygobject-2.0 or 3.0 pkgconfig files
  + Updated translations.
- Change pkgconfig(pygobject-2.0) BuildRequires to
  pkgconfig(pygobject-3.0) to build with latest python-gobject.
* Tue Sep 20 2011 vuntz@opensuse.org
- Update to version 3.1.92:
  + General: Stop using some deprecated GTK symbols
  + Chess:
  - Fix a crash
  - Minor UI improvements
  + Updated translations.
* Tue Sep  6 2011 vuntz@opensuse.org
- Update to version 3.1.91:
  + Chess: Fix compile issues with Vala 0.13.3
  + Glines: port to GSettings.
  + Gnect: Use the correct player names in Preferences
  + Updated translations.
- Replace gconf schema packaging machinery with gsettings machinery
  for glines.
* Thu Sep  1 2011 vuntz@opensuse.org
- Update to version 3.1.90:
  + Code cleanups.
  + Updated translations.
* Mon Aug 15 2011 dimstar@opensuse.org
- Update to version 3.1.5:
  + Port more games to GSettings: gnomine, iagno, mahjongg.
  + Minor bug fixes:
  - Really remove ggz support from iagno.
  - Remove unused variable.
  + Updated translations.
- Replace gconf schema packaging machinery with gsettings machinery
  for gnomine, iagno, mahjongg.
* Wed Jul 27 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + Remove useless Game->Network in the menus.
  + Chess: Work with vala 0.14.
  + Updated translations.
* Wed Jul 13 2011 vuntz@opensuse.org
- Remove gnome-python-desktop and python-gnome Requires from
  gnome-sudoku: the game got ported to gobject introspection, so
  doesn't use those bindings anymore.
- Add python-bugbuddy Suggests to gnome-sudoku, as it still
  optionally uses some bug-buddy integration.
* Wed Jul  6 2011 vuntz@opensuse.org
- Update to version 3.1.3:
  + Major changes:
  - The seed games moved back to staging
  + General:
  - Build fixes
  - Replace some deprecated gtk symbols
  + Chess: Escape \ and " in .pgn files
  + Glines: Only show the cursor when using keyboard
  + Gnect: Port to GtkGrid
  + Gtali:
  - Could not load the kismet dice svg
  + Gnotravex:
  - Port to gsettings
  - Help video got TTML captions
  - Port to GtkGrid
  + Sudoku: Cleanups
  + Swell-foop: Only get the 1000 point bonus if all tiles are
    removed
  + Updated translations.
- Pass --enable-staging to configure to keep building seed games.
- Replace gconf schema packaging machinery with gsettings machinery
  for gnotravex.
* Tue May 17 2011 dimstar@opensuse.org
- Update to version 3.1.1:
  + Major changes:
  - Aisleriot was split out of gnome-games into its own module.
  - Sudoku was ported to pygobject/GTK3.
  - New default theme for swell-foop.
  + libgames-support:
  - As this is a private library, move .gir and .typelib to
    private location.
  - Use real icon names.
  + Chess:
  - bgo#647090: Correctly set up i18n
  - Fix bug in Vala GTK bindings setting file filter labels
  - bgo#649625: Correctly apply fifty move rule after 50 full
    moves, not half moved
  - Fix fullscreen mode not working
  - Remember window size
  - Update UI file to recent glade
  - Use standard license in about dialog
  - Use OptionContext for command line arguments
  + Gnobots: Add the primary-toolbar style class
  + Iagno: Default AI difficulty should be easiest
  + Lightsoff:
  - Fix to work with latest seed
  - Fix settings dialog
  - Set WM_CLASS for Shell Application tracking
  + Mahjongg: Add the primary-toolbar style class
  + Sudoku:
  - Port to GNOME 3
  - Add the primary-toolbar style class
  + Swell-Foop:
  - Fix to work with latest seed
  - Add shape to default theme so it is visble by color-blind
    people
  - Make test theme use the same colors as the defaut, and rename
    to 'Colors'. Rename tango theme to 'Shapes and Colors'
  - Fix settings dialog
  - Set WM_CLASS for Shell Application tracking
  - Fix About dialog description of the game
- Add pkgconfig(pygobject-2.0) BuildRequires.
- Drop gnome-games-swell_and_lightsoff.patch: fixed upstream. This
  means we can remove the gnome-common BuildRequires as well as the
  call to gnome-autogen.sh.
- Drop aisleriot subpackage. Update the various NOTEs about where
  to find more info in the .spec file to mention glchess instead of
  aisleriot.
* Thu May  5 2011 vuntz@opensuse.org
- Fix permissions handling for glines, gnibbles, gnobots2,
  gnomine, gnotravex, gnotski, gtali, mahjongg and quadrapassel:
  + Add permissions PreReq.
  + Use %%set_permissions on the binary instead of the deprecated
    %%run_permissions.
  + Move %%desktop_database_post and %%icon_theme_cache_post to be in
    %%post and not %%verifyscript.
- Fix PreReq that are used because of score files:
  + Only /bin/chown /bin/chmod /usr/bin/touch are needed.
  + Remove unneeded PreReq for /bin/rm from glines, gnibbles,
    gnobots2, gnomine, gnotravex, gnotski, gtali, mahjongg.
  + Add previously missing PreReq for /bin/chown /bin/chmod
    /usr/bin/touch to quadrapassel.
  + Remove all PreReq from swell-foop as there is no score file
    there.
- Remove unneeded /bin/chown /bin/chmod /usr/bin/touch PreReq in
  support subpackage as only rm is used in %%post.
* Mon Apr 25 2011 vuntz@opensuse.org
- Drop python-gtk-devel BuildRequires: this shouldn't be needed
  anymore.
- Manually remove icons that have a weird size.
* Wed Apr 13 2011 dimstar@opensuse.org
- Add gnome-games-swell_and_lightsoff.patch: this re-enables
  lightsoff and swell-foop, patches collected from git.
- Use gnome-sudoku Obsoletes if we can not build it. This ensures
  that an update to gnome-games 3.0.0 is not blocked.
- Add gnome-common BuildRequires and add call to gnome-autogen.sh.
* Tue Apr  5 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Use /org/gnome as starting path for schemas
  + Aisleriot:
  - add a primary-toolbar style class to the toolbar
  - Use GNOME Design Team's new icon with 256x256 size
  + Updated translations.
- Own some icons directories (new sizes).
* Mon Mar 28 2011 fcrozat@novell.com
- Update to version 2.91.93:
  + 256x256 icons added for aisleriot and gnomine
  + Aisleriot switched the default theme back to bonded and
    temporarily removed the experimental clutter mode.
  + Gnomine: new icons
  + Quadrapassel:
  - Don't show a preview when "Choose difficult blocks" is
    switched on
  - Only show the preview block in the correct circumstances
  + Updated translations
* Thu Mar 24 2011 fcrozat@novell.com
- Update to version 2.91.91:
  + Various bugfixes
  + Updated translations.
- Changes from version 2.91.90:
  + Chess was rewritten in vala.
  + Iagno and gnomine had graphical glitches fixed.
  + All games except swell-foop, lightsoff, and sudoku are now
    working with GTK3.
- Changes from version 2.91.5:
  + Mostly fixes for gtk3 and clutter-gtk 1.0.
  + Quadrapassel also gained a new theme "Clean".
- Changes from version 2.91.3:
  + Chess got a new option for showing the captured pieces.
  + Quadrapassel and gnotravex got ported to gtk3.
- Changes from version 2.91.2:
  + gnect, gnibbles, gnotski, gtali, and iagno were ported to gtk3.
  + Fix lightsoff and swell-foop to work correctly again.
- Changes from version 2.91.1:
  + aisleriot and glines were ported to gtk3.
  + Aisleriot:
  - Port window state persistence to gsettings
  - Make kde card theme support work
  + GLines: use a more sensible scoring system
- swell-foop, lightsoff and gnome-sudoku are not built for now.
- Drop gnome-games-CVE-2010-4003.patch: fixed upstream.
- Drop gnome-games-seed-fixes.patch: fixed upstream.
- Drop gnome-games-seed-gtk-gir-conflict.patch: no longer needed.
- Add pkgconfig(sqlite3) BuildRequires, needed for glchess.
- Remove gnome-python-desktop, python-gnome Requires, %%py_requires
  and python-gtkglext, python-opengl Recomends from glchess package
  as it has been ported to vala.
- Replace GConf2 schemas handling with GSettings schemas handling,
  with %%glib2_gsettings_schema_* macros, for some games.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Mon Jan 17 2011 vuntz@opensuse.org
- Add gnome-games-seed-fixes.patch with fixes from git to make the
  seed-based games work, instead of crash. Fix bnc#664917.
- Add gnome-games-seed-gtk-gir-conflict.patch to avoid a conflict
  when both gtk2 and gtk3 are installed. This is a workaround
  that's only needed while gnome-games is built against gtk2.
* Wed Jan  5 2011 vuntz@opensuse.org
- Add gnome-games-CVE-2010-4003.patch to safely set
  LD_LIBRARY_PATH. Fix bnc#642829 and CVE-2010-4003.
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Tue Nov 16 2010 dimstar@opensuse.org
- Update to version 2.32.1:
  + Updated translations.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Fix broken configure test that forced checking the path for
    card themes.
  + Updated translations.
- As a reminder, those are the changes since 2.30.x:
  + Major features since 2.30.x:
  - Overall the games now have more consistent menus, better HIG
    compliance, and now build with GSEAL.
  - The work on sudoku includes a new sharper look, less
    cluttered menus, removal of the status bar, and a ton of bug
    fixes.
  - Chess now supports SVGs for pieces and includes a new theme.
  + Minor features since 2.30.x:
  - Chess also moved to use GtkInfoBar.
  - In Tetravex animation support was added together with support
    for swapping pieces.
  - In Quadrapassel the difficulty in the later levels was
    tweaked to be easier.
  - The scoring algorithm for glines was adjusted to avoid huge
    scores.
  - The port to Cairo has been completed for a few of the games.
  - Sudoku got a new hint system
  - In Aisleriot the cards are now slightly bigger
- Drop gnome-games-fix-configure.patch: fixed upstream. Drop
  gnome-common BuildRequires and call to gnome-autogen.sh that were
  needed only for this patch.
* Fri Sep 17 2010 vuntz@opensuse.org
- Update to version 2.31.92.1:
  + General:
  - Fix --with-card-theme-formats=default
  - Make PySol and KDE card theme paths configurable
  - Fix build with gobject-introspection >= 0.9.5
  + Aisleriot: Add openSUSE packages to theme-install.ini
- Drop gnome-games-packagekit-opensuse.patch: fixed upstream.
- Drop gnome-games-pysol-themes.patch: fixed upstream another way.
- Remove --with-card-theme-formats=all option from configure: it's
  not recommended upstream right now, and the default we'll get
  should be enough.
- Add gnome-games-fix-configure.patch to fix a broken test in
  configure script. Add gnome-common BuildRequires and call to
  gnome-autogen.sh for this patch.
* Tue Sep 14 2010 vuntz@opensuse.org
- Add gnome-games-packagekit-opensuse.patch: this makes the
  PackageKit support to install themes useful in openSUSE.
- Add gnome-games-pysol-themes.patch: look at the right directory
  for pysol themes.
- Pass --with-card-theme-formats=all to configure to support more
  card themes.
- Remove --enable-card-themes-installer from configure: this option
  is gone now (it's always enabled).
* Tue Sep 14 2010 vuntz@opensuse.org
- Update to version 2.31.92:
  + Aisleriot:
  - fix warnings and build issues with gtk3
  - show install confirmation before install card theme packages
  + Glines:
  - adjust scoring algorithm to avoid huge scores (bgo#503953)
  + Updated translations.
* Wed Sep  1 2010 vuntz@opensuse.org
- Update to version 2.31.91.1:
  + This is a re-release of 2.31.91 because 2.31.91 was taken from
    the wrong branch. The changes since 2.31.90 are below.
  + Aisleriot:
  - Set dash pattern when drawing focus rectangle
  - Store 'score' as int
  - docs: Fix rank definition in the glossary
  + sudoku: Fix broken cell clear button
  + Updated translations.
* Mon Aug 30 2010 dimstar@opensuse.org
- Update to version 2.31.91:
  + Aisleriot:
  - Set dash pattern when drawing focus rectangle
  - Store 'score' as int
  - docs: Fix rank definition in the glossary
  + sudoku: Fix broken cell clear button
  + gnotski: Port to cairo
  + gnotravex: Port to cairo
  + Updated translations.
* Tue Aug 17 2010 dimstar@opensuse.org
- Update to version 2.31.90:
  + General:
  - libgames-support: Add games_preimage_render_cairo
  - Plug memory leaks.
  - Use right clutter-gtk API version for gtk3
  + Aisleriot: Port to cairo, bug fixes
  + Glines: Port to cairo
  + Gnibbles: Store tail direction before reversing the worm
  + Gnobots: Port to cairo
  + Quadrapassel: bug fixes
  + Updated translations.
* Sun Aug  8 2010 vuntz@opensuse.org
- Remove unneeded gnome-python-desktop BuildRequires.
* Sat Aug  7 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Sudoku: update tooltips for the buttons used in the tracker
  + Quadrapassel: update manual
  + Build fixes.
  + Updated translations.
- Changes from version 2.31.5:
  + Aisleriot: make cards slightly bigger
  + Quadrapassel: rename 'bastard mode' to 'choose difficult
    blocks'
  + Sudoku: improve hint system to suggest a square
  + Build fixes.
  + Updated translations.
- Changes from version 2.31.4:
  + Chess: fix insufficient material algorithm
  + GTali: use better randomization algorithm
  + Various small bug fixes.
  + Build fixes (including dual GTK+ build).
  + Updated translations.
- Changes from version 2.31.3:
  + Aisleriot: use a uniform baize colour
  + Build fixes.
  + Updated translations.
- Changes from version 2.31.2:
  + General:
  - slowly move to GNOME 3 technologies (gdbus, for example)
  - various small bug fixes
  + Chess:
  - add Fairy-Max support
  - add Stockfish support
  + Lights Off:
  - improved level generation algorithm
  - fix misinterpreted clicks when mouse moves
  - fix extra black padding on right/bottom of puzzle board
  + Sudoku:
  - overhauled tracker system
  + Build fixes.
  + Updated translations.
- Changes from version 2.31.1:
  + General:
  - more consistent menus in games
  - UI improvements and better HIG compliance
  - various small bug fixes
  + Aisleriot:
  - wrong no-more-moves-dialog if king on last slot in Helsinki
    game
  - make the render-cards utility GPL3+
  + Chess:
  - support svg for 2d pieces
  - new theme
  + Quadrapassel:
  - make difficulty in the later levels a bit easier
  + Sudoku:
  - sharper look
  - support single-click game selection
  - improve generation of puzzles (done in the background, only
    for chosen difficulty)
  - rework conflict resolution code
  + Tetravex:
  - add animation
  - always use colors for tiles
  - support swapping pieces
  + Build fixes.
  + Updated translations.
- Add GPLv3+ to the list of licenses used in this package.
* Sat Jun  5 2010 coolo@novell.com
- do not rebuild on changes of openSUSE-release
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + bgo#613634: gnome-games doesn't support relocatable .gnome2
    directory
  + Various Sudoku fixes
  + Updated translations.
* Wed Apr  7 2010 vuntz@opensuse.org
- Update list of recommended games: we probably don't want gnibbles
  in there since it's big and could look better.
* Wed Apr  7 2010 vuntz@opensuse.org
- Work around a bug in rpm (bnc#594310) that loses permissions when
  multiple %%defattr are used: we just change the order of lines.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + GSeal fix (bgo#586731)
  + Mark .js files for translation (bgo#613092)
  + Fix build with clutter-gtk 0.10
  + Updated translations.
* Tue Mar  9 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Aisleriot:
  - Fix the build with clutter 1.2
  - Fix error-bell signal slot
  - Fix focus signal
  - Add cogl option group
  + Build: Fix clutter-gtk check for clutter 1.2
  + Updated translations.
* Tue Feb 23 2010 dimstar@opensuse.org
- Update to version 2.29.91:
  + Aisleriot:
  - Update prop-editor.c from gtk+ master
  - Move card theme support from libgames-support to aisleriot
  - Fix the build
  + Updated translations and doumentation.
- Update files section, move gnome-games-render-cards to aisleriot
  package, as ar-cards-renderer.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 2.29.6:
  + General:
  - Update smclient from libegg master
  - Add back-index property to Pysol card theme
  - Support PySolFC 2.0 cardsets
  - Remove suprious math.h includes
  - Add back-index to KDE card theme class
  - Link against math lib
  + Aisleriot:
  - Implement slot types for Klondike based games
  - Don't include non-disted games in the manual
  - Don't include non-disted games in DOC_ENTITIES
  - Add some reserve strings
  - Correctly round the win percentage
  - Add configure switch to enable debugging UI
  - Make the prop-editor a stackable window on maemo5
  - Don't use GdkPixbuf to load the baize
  - Remove unused #include
  - Don't use the hardware keys on maemo5
  - Remove stock icon from Statistics menu item
  + Chess:
  - Fix crash using UCI engines
  + Lightsoff:
  - Raise keyboard-cursor, in case something was added on top of
    it
  - Write the beginnings of a manual
  + Updated translations.
* Wed Jan 13 2010 captain.magnus@opensuse.org
- Update to version 2.29.5:
  + General:
  - Fix definition of gtk_widget_set_can_focus
  - Add API to get the localised card name
  - Add another glib compat define
  - Add style debug option
  - Add games-glib-compat.h
  + Aisleriot:
  - Work on the clutter version
  - Add card-overhang style property
  - Set card-overhang to 0. by default
  - Add property editor debug UI to tweak style properties
  - Make style properties writable
  - Make card step a style property
  - Add widget style property for card-step
  - Make non-clutter AisleriotBoard use ArStyle and ArCursor too
  - Make pixbuf-drawing a property on ArStyle too
  - Use games-glib-compat.h
  - Use new glib compat define
  - Take double click time from style
  - Make bug-buddy own the tempfile with the crash details
  - Fix build on maemo5
  - Add tooltips and status message to AisleriotBoard
  - Return NULL for slots of type 'UNKNOWN'
  - Set card-overhang to 0.5 on maemo
  + Lightsoff:
  - Fix logic mistake causing theme-change fade between each
    board
  - Print error if Clutter fails to initialize
  + Swell Foop:
  - Print error if Clutter fails to initialize
  + Translation updates
* Wed Dec 23 2009 vuntz@opensuse.org
- Update to version 2.29.4:
  + Maemo 5 porting work and a handful of bugs fixed.
  + General:
  - libgames-support: Drop SDL-mixer sound support
  - Rename icons gnometris->quadrapassel samegnome->swell-foop
    (bgo#603577)
  - Change .desktop category to fdo-standard LogicGame, not
    PuzzleGame
  - Build and code fixes.
  + Aisleriot:
  - Set freecell-mode on window construction
  - Move game selection to ArGameChooser
  - maemo5: Make the game chooser a stackable window
  - Only set content area border on non-maemo5
  - Refactor AisleriotBoard
  - Mask uncommon modifiers on button press modifiers check
  + Iagno:
  - Get tile size from theme (bgo#543387)
  + Sudoku:
  - gconf_client.get will sometimes return None (bgo#590974)
  - If no new puzzle number out of gconf, assume all is ok
    (bgo#590974)
  + Tali:
  - Reduce size of window
  + Updated translations.
- Drop gir-repository BuildRequires: it's not needed with recent
  gtk2 that have introspection data.
- Drop gnome-games-fix-installer-build.patch: fixed upstream.
- Remove gnome-common BuildRequires.
* Sat Dec  5 2009 vuntz@opensuse.org
- Update to version 2.29.3:
  + Maemo5 support for aisleriot, bugfixes, and translations.
  + General:
  - translation fixes.
  - various small bug fixes.
  + libgames-support:
  - Add games_conf_save()
  - Allow clearing the cache explicitly
  + Aisleriot:
  - Add slot type argument to the add-slot function
  - Add slot types to Klondike
  - Add slot types to Spider
  - Add slot types to Freecell
  - Consume button press events
  - Add floating exit-fullscreen button
  - Improved support for maemo/maemo5.
  + Updated translations.
- Changes fro version 2.29.2:
  + Mostly small bugfixes and translation updates.
  + General:
  - build fixes.
  - various small bug fixes.
  - drop the single unit test left in tests.
  + Aisleriot:
  - Don't document --freecell
  - Update man page.
- Changes from version 2.29.1:
  + A new game, Lightsoff, has been added.
  + Same GNOME has been ported to Seed/Clutter and at the same time
    changed its name to Swell Foop.
  + Gnometris also changed its name to Quadrapassel.
  + This release is delivered without network support except for
    GLChess. The dependency on GGZ has been dropped in favour of a
    coming move to Telepathy for networked gaming.
  + The Blackjack game has been dropped.
  + General:
  - build system fixes/improvements.
  - documentation fixes.
  - build fixes for GSeal.
  - various small bug fixes.
  + Aisleriot:
  - partial fix for z-order of empty slots; handles drag case
    (bgo#575740)
  - remove usless region invalidation with Clutter; OpenGL
    doesn't care
  - resolve z-order for empty slots; handles selection case
    (bgo#575740)
  + Gnibbles:
  - integration of the work done during a Summer of Code project
  - rewritten with Clutter support.
  + Lightsoff:
  - Fix offset so board is vertically centered
  - Make sure cached textures are hidden
  - Implement "Use colors from GNOME theme" checkbox
  - Watch for Gtk theme changes, and update theme coloring
  + Quadrapassel:
  - renamed from Gnometris
  + Swell Foop:
  - renamed from Same Gnome
- Remove check-devel, ggz-client-libs-devel, libggz2-devel,
  libxml2-devel BuildRequires.
- Add lsb-release and openSUSE-release BuildRequires.
- Drop gnome-games-same-gnome-clutter-libdir.patch: fixed upstream.
- Drop gnome-games-lightsoff-libdir.patch: fixed upstream.
- Remove --enable-staging configure option.
- Add --enable-card-themes-installer configure option.
- Add gnome-games-fix-installer-build.patch to fix build, and add
  gnome-common BuildRequires.
- Split the games in subpackages, so we can only install a subset
  if needed.
  + this implies reworking quite a bit the packaging, including
    changing gnome-games-create-post to create one file per
    subpackage.
  + the main package depends on all subpackages, to keep the old
    behavior.
  + a new gnome-games-recommended package is available to install a
    subset of games by default.
* Mon Oct  5 2009 dimstar@opensuse.org
- Add gnome-games-same-gnome-clutter-libdir.patch - Detect the
  libraries in @libdir@/gnome/games instead if
  @prefix@/lib/gnome-games. Fixes partially bnc#540240.
- Same fix for lightsoff using gnome-games-lightsoff-libdir.patch.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + glChess:
  - bgo#446950 - Make default game use the AI chosen from the
    previous game
  - Remove unused signal from save_game.ui
  - bgo#577240 - Detect exceptions when in OpenGL code and
    disable 3d mode for next restart
  + Tali:
  - Make Tali 24x24 icon match changes to 22x22 icon
  + Updated translations and documentations.
- Add man pages to package.
* Thu Sep 10 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + General:
  - Add icon for GAMES_STOCK_START_NEW_GAME stock
  - Build fixes.
  - Work for GSeal-compliance.
  + Aisleriot:
  - Fix AisleriotBoard definition
  + Blackjack:
  - Fix warning on exit with gtk 2.17
  + GLChess:
  - Fix duplicate GtkBuilder object IDs
  - Detect resign and draw requests from CECP AIs
  - Make AI players claim draws where possible (bgo#592980)
  - Stop using deprecated BaseException.message (bgo#586581)
  + Gnibbles:
  - Hide notebook border too
  + Gnobots:
  - Move gnobots2 themes into separate directory (bgo#488974)
  + Gnometris:
  - First pass as implementing a GObject-based texture cache; has
    issues
  - solve most of the memory management issues
  - clean up some of the code carnage from my debugging
  - restore the functionality of the other themes
  - restore pixel-level precision to the block renderer
  - restore ligature-style animations for performance reasons
  - make the preview cell size depend on preview size; completes
    1.0 port
  - Speed up keypress handler even more for smoother move
    animations
  - center the preview widget correctly in main and settings UI
  + Gnomine:
  - Fix resizing button theme artifact, bgo#574118
  - Fix too many menuitems visible initially, bgo#592774
  - Fix a cosmetic issue with the menu XML in the code, bgo#592775
  - Fix keyboard mnemonics don't work, bgo#592776
  - Fix sensitivity handling glitch, bgo#592777
  + Sudoku:
  - Use smaller fonts and borders when printing to save ink
  + Build fixes.
  + Updated translations.
* Fri Sep  4 2009 vuntz@opensuse.org
- Add missing gnome-python-desktop and python-gnome Requires.
* Thu Aug 13 2009 vuntz@novell.com
- Update to version 2.27.90:
  + General:
  - Use clutter 1.0.
  + same-gnome-clutter:
  - Rough beginnings of high-scores display
  - Finish display of high scores.
  - Distribute schema.in files, remove C version of
    same-gnome-clutter
  - Use libgames-support conf code instead of gconf
  + lightsoff:
  - Code cleanup; put some functions on prototype for performance
  - Further code cleanup, commenting
  - Ensure level is never < 1 (causes infinite loop)
  - Distribute schema.in files
  + Updated translations.
- Drop gnome-games-clutter-1.0.patch.
- Remove gnome-common BuildRequires and gnome-autogen.sh call.
- Uncomment seed Requires and --enable-staging configure option.
- Package files for new staging games.
- Use python_sitelib instead of py_sitedir.
* Mon Aug  3 2009 vuntz@novell.com
- Add gnome-games-clutter-1.0.patch to fix build with clutter 1.0.
- Do not package omf files twice.
- Prepare for seed games (doesn't work right with this tarball, but
  will be fixed later with the next upstream version): add
  (commented out) seed Requires and (commented out)
  - -enable-staging configure option.
* Tue Jul 28 2009 dominique-obs@leuenberger.net
- Update to version 2.27.5:
  + Tim's branch supporting introspection was merged. A staging
    version of same-gnome with seed/clutter support has been added
  + General:
  - images folders of glchess and gnome-sudoku moved out of
    datadir/gnome-games again
  - Initial support to the commondatadir
  - GGZ-1.0.gir needs to be installed
  - GamesClock now works with multiple start()
  + Aisleriot:
  - Change license to GPL v3 or later
  + Lights Off:
  - Now uses Clutter 0.9
  - Improve translatability of ui file
  - don't remove js files during make clean
  - About dialog
  - Ingame help
  - Lots of cleanups
  - New GConf schemas for score and theme
  + Same Gnome (Clutter version):
  - Imported from the seed repository
  - Many fixes, mostly animation and stickyness problems
  - About dialog
  - Import the Theme Loader from Lights Off
  - Reset score on new game
  + Updated translations.
- Change files section for glchess to include subdirs.
- Delete all *.la files from the buildroot
- Pass --disable-static to configure
- Add gobject-introspection-devel and gir-repository to
  BuildRequires.
- Include new files in files section.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + General:
    + Many bugfixes and cleanups.
    + Binreloc support.
    + Better maemo/win32 support.
    + Fix toolbar style to be user configurable (bgo#584615)
    + Fix games_sound_play_for_widget() for canberra
    + Set help error dialogue title to empty
    + Better error message when showing help fails
    + icons: Add prerendered icons for the "cards-deal" name
  + Aisleriot:
  - fix hinting in a rare situation in Spider
  - Hide toolbar at startup if requested
  - Add style property for the card/slot ratio
  + Mahjongg:
  - Update documentation.
- Changes from version 2.27.3:
  + General:
  - Many bug fixes.
  - Build fixes.
  - Update to current clutter API.
  - Changes for better maemo5 support.
  - Use g_mkdir_with_parents and mode 0700 to create the config
    dir
  - Doc fixes.
  + Gnometris:
  - Add annoying "bastard" mode
  + Aisleriot:
  - only allow moving builds of cards in Klondike-based games
  - add a hint for when there are too few cards in Spider games
  - change status message when dealing is impossible in Spider
    games
  - implement dealable feature in Carpet
  - implement dealable feature in Cruel
- Add check-devel BuildRequires.
* Thu Jun 11 2009 vuntz@novell.com
- Update to version 2.27.2:
  + General:
  - Lots of code cleanup.
  + Gnometris:
  - Finish port to clutter 0.9.
  + Chess:
  - Update tooltip style for info messages.
  + Aisleriot:
  - Add new game "Bear River"
- Change from version 2.27.1:
  + General:
  - Depend on clutter 0.9.3
  - Handle gst_element_factory_make() returning NULL
  - Port to GtkCellRendererAccel
  - Remove extraneous widget packing
  - Add --enable-aisleriot-clutter configure option
  - Don't append ? on ghelp URI with NULL section
  - Add Pulse Support to Docs
  - Fixed DocBook validity in help translations
  - Use g_timeout_add_seconds when available
  - Support shave autofoo and libtool output
  - Fix GAMES_DEBUG=sound
  - Use libcanberra as default sound option
  - Hide the Sound menu item if the global setting is disabled
  + Aisleriot:
  - Implement dealable feature in Bristol, Camelot, Canfield
  - Upgrade to clutter 0.9
  - Add a guide to making a new game for aisleriot
  - Use the default about dialogue hooks
  + Chess:
  - Update our copy of GNUChess for POSIX 2008 compatibility
  - Add a new display mode - face-to-face
  - Only allow selecting with the primary mouse button
  - Port to GtkBuilder
  + Gnometris:
  - Remove our private copy of clutter-embed.h
  - Remove noclutter version
  - Switch to new-style clutter includes and initialization
  + Gnomine:
  - Fix pause/resume with the pause key
  - Code cleanup
  + Lights Off:
  - Use new import mechanism to work with seed >=0.5
  + Same-gnome:
  - Update DOC_FIGURES
  + Sudoku:
  - Massive code cleanup
  - Port to GtkBuilder
  - Distribute 150 very hard puzzles instead of 20
  + Updated translations.
- Add clutter-devel, clutter-gtk-devel, libcanberra-devel
  BuildRequires.
- Remove SDL-devel, gstreamer010-devel, libglade2-devel,
  libgnomeui-devel, scrollkeeper BuildRequires.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Make desktop files valid.
  + Update smclient code from libegg.
  + Fix build with --enable-games=glchess
  + Don't kill worm by pressing backwards (bgo#516992)
  + Fix crash when undoing a pawn promotion (bgo#577395)
  + Only allow one number picker at a time (bgo#530778)
  + Ignore malformed savegames (bgo#516491)
  + Updated translations.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Aisleriot:
  - When using Clutter, draw Aisleriot card movement animations
    to empty stacks correctly
  + Sudoku:
  - Fix crasher bug where the a dict was being changed in one
    thread while another was iterating over the dict.
    (bgo#529792)
  - Fixes a crasher bug when numpy is not installed. (bgo#416249)
  + Updated translations.
* Mon Mar  9 2009 vuntz@novell.com
- Add scrollkeeper BuildRequires to fix build.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Aisleriot:
  - Add creator of "Tango" card set to Artists tab in the Credits
    dialogue
  + Chess:
  - Stop king castling when blocked by pawn
  - Use gtk.show_uri to show help
  + Gnometris:
  - Bump the required version of clutter to 0.8.8
  + Sudoku:
  - Use gtk.show_uri to show help
  + Updated translations.
- Remove -fno-strict-aliasing from CFLAGS.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.91:
  + General:
  - Send bug from bugbuddy to new component 'BugBuddyBugs'
  - Rewrite of GamesFrame
  - Code cleanups
  - Autogenerate changelogs in po/ from commitlogs
  + Aisleriot:
  - Fix cards disappearing without pairs in Thirteen
  - Be more strict about allowing drops in Valentine
  - Fix crash when clicking an empty stock in Sir Tommy
  - Always reshuffle the deck properly in Scuffle
  - Respect the temporary slot setting in the hint code in Ten
    Across
  + Chess:
  - Fixed a translator comment
  + Gnometris:
  - New clutter rendering engine
  + Updated translations.
- Do not enable the clutter rendering engine for Gnometris since
  it's not working without hardware acceleration.
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.25.90:
  + General:
  * Separate needed CFLAGS into each games makefile
  * Fix warnings with -DGDK_PIXBUF_DISABLE_DEPRECATED
  + Aisleriot:
  * Fix compiler warnings
  + Chess:
  * Fix GGZ config file exception handler typo
  + Gnometris:
  * Translate renderer-noclutter.cpp not renderer.cpp
  * Fix for crash when setting background image by dnd
  + Mahjongg:
  * Add scalable icon
  + Translation updates
* Sun Feb  1 2009 vuntz@novell.com
- Remove unneeded dependencies: gob2, perl-XML-Parser
- Remove checks for old versions of openSUSE, which makes it
  possible to remove permissions.tar.bz2.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.5:
  + General:
  * Move GThread and gettext initialisation into games_runtime_init()
  * Refactored card themes code
  * Change xml entities to utf-8
  * Fixed typoed XML files
  * Allow ChangeLog from git-svn
  * Distcheck and warning fixes
  * Add msg context to translations
  + Aisleriot:
  * Reduce memory usage in aisleriot/clutter by only caching the
    card textures and not the GdkPixbufs
  * Reduce graphics memory usage by drawing highlighted cards with
    a different colour instead of creating a separate texture for it
  * New game "Accordion" (bgo#526392)
  * Fix Treize in click-to-move mode
  + Chess:
  * Add ability to resign AI vs. AI games
  * Made GGZ config writable so dialogs can update it
  * Added dialog to add new network profiles
  * Added undo support
  + Translation updates
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Gnometris:
  - Implement Clutter-based rendering surfaces
  + GLChess:
  - Catch keyboard interrupts in AI monitor process
  - Apply antialias setting on new game (bgo#565743)
  - Ignore unexpected messages from the GGZ server (bgo#559193, bgo#562482)
  - Fix UI bug when players join a room
  - Change GGZ language from hardcoded en_NZ.UTF-8 to use environment
    variable LANG (bgo#565402)
  - Describe reason for GGZ disconnection (bgo#564515)
  - Mark load game filters as translatable (bgo#565162)
  + Translation updates
* Wed Dec 24 2008 mboman@suse.de
- Update to version 2.25.3:
  + Too many updates/fixes to list. Please see NEWS for full details.
- Remove gnome-games-desktop.patch. Handled by %%suse_update_desktop_file
* Wed Oct 22 2008 maw@suse.de
- Update to version 2.24.1:
  + Stability improvements in GLChess
  + Bugs fixed: bgo#553484, bgo#544389, bgo#553458, bgo#553982,
    bgo#551844, bgo#551427, bgo#554108, bgo#545155, bgo#548916,
    bgo#552391, bgo#546702, bgo#555567, bgo#530425, bgo#554746,
    bgo#535256, bgo#538252, bgo#537673, bgo#556155, bgo#530380,
    and bgo#550023
  + Updated translations.
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Mon Sep 15 2008 mboman@novell.com
- Update to version 2.23.92:
  + Aisleriot:
  * Fix bug where double click no longer sends card to free cell
  + Blackjack:
  * Fix language in help
  + GLChess:
  * Fix promotion_type GConf key default from 'human' to 'queen'
  + Sudoku:
  - Stop the dancer when undoing after win. (bgo#532357)
  + Translation updates
* Tue Aug 26 2008 mboman@novell.com
- Updated to 2.23.90:
  + Aisleriot:
    Add "changed" signal to GamesCardTheme.
    Get the cairo font options from the screen instead of creating them
    from the gtk settings.
    Take the antialias setting from the font options instead of storing it
    separately.
  + Chess:
    Fix save related crasher.
    Chess now works if gconf is read-only.
    Keep checkboxes for "3D view" in synch
  + Sudoku:
    Don't create temp files when drawing thumbnails.
    Show All Hints now works on at start of new game.
    Undo/redo is now unsensitive at start of new game.
    Start timer when puzzle is selected, not at game start.
    Active time should never be more that total time.
* Tue Aug  5 2008 captain.magnus@opensuse.org
- Updated to 2.23.6
  + Blackjack - Revert bogus patch from bug bgo#444806 (Christian Persch)
  + Updated translations
  + GLChess:
  - Give users a helpful error message when python-support has missing modules.
    (Jason D. Clinton, Justin Dugger, Dani Nordli, Bug bgo#524665)
  - Add fix for blank playing field from Ubuntu Launchpad (rhussey, Ubuntu
    Bug lp#239905)
  - Fix improper use of openGLErrors list (Jason D. Clinton, Gubianas, Bug
    bgo#530981)
  - Disable network controls when disconnected (Robert Ancell, Bug bgo#523818)
  - Handle empty combo boxes in the preferences dialog (Robert Ancell, Bug
    bgo#532908)
  - Don't disable load button on load dialog as we cannot tell if the user has
    selected a valid file (Robert Ancell, Bug bgo#540527)
  - Catch GLU exception making numbering texture and fall back to non-mipmapped
    version (Robert Ancell, Bug bgo#542253)
  + Gnibbles:
  - Patch to support CAPSLOCK key in Gnibbles (Emil Andersson, Thomas H.P.
    Andersen, Bug bgo#472355)
  + Gnobots:
  - Allow CAPSLOCK with directional buttons (Emil Andersson, Bug bgo#540755)
  + Gnometris:
  - Allow CAPSLOCK with directional buttons (Emil Andersson, Bug bgo#540740)
  + Gnomine:
  - Allow user to flag a mine by holding the control key. (Emil Andersson.
    Bug bgo#539725)
  - Handle double right-click correctly as a result of this fix (Thomas H.P.
    Andersen)
  - Handle right click dragging. (Thomas H.P. Andersen, Bug bgo#515497)
  + Aisleriot:
  - Add statusbar toggle to View menu. Makes the game more playable on small
    screens (e.g. eeepc) by allowing to enlarge the vertical space available.
    (Christian Persch)
* Tue Jun 24 2008 mauro@suse.de
- Update to 2.23.4
  + Gnibbles - Improved AI search algorithm.
  + General code clean up
  + Updated translations.
  + Bugfixing: bgo#53255, bgo#532555, bgo#532553, bgo#528953,
    bgo#524665, bgo#520599, bgo#510917, bgo#406267, bgo#525177,
    bgo#443307, bgo#519554, bgo#512068, bgo#521623, bgo#522341,
    bgo#503238.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1.1:
  + Merge changes in ggz.m4 from ggz trunk (bgo#520599 and
    bgo#510917)
  + Aisleriot:
  * Add back the statistics fallback (bgo#406267 and bgo#525177)
  * Don't allow moving non-uniformly suited card stacks to
    foundation (bgo#443307)
  * Make shuffle-deck-helper tail recursive. Fixes stack overflow
    exception with guile 1.8.4 (bgo#519554)
  + GLChess:
  * Abort 3D render if widget_get_gl_context() returns None
    (bgo#512068)
  * Add Gambit Fruit to AI list (Robert Ancell, bug bgo#521623)
  * Handle AI players dying before the game starts (bgo#522341)
  * Handle GLError->GLerror, GLUError -> GLUerror objects being
    renamed in PyOpenGL 3.0 (bgo#503238)
  * Fix board rotation animation bug when viewing black side
  + Sudoku:
  * Don't crash when clearing a tracker
  * Handle when no more puzzles of a certain difficulty exists
  * Don't always show the same puzzle until it has been
    completed or saved
  * Fix crash on cancel in new game dialog
  + Updated translations.
* Tue Mar 25 2008 maw@suse.de
- Update to version 2.22.0:
  + Various bugxies
  + Updated translations.
* Wed Mar  5 2008 maw@suse.de
- Update to version 2.21.92:
  + Various bugfixes
  + Updated translations.
* Wed Nov 14 2007 jpr@suse.de
- Recommend python-opengl and python-gtkglext (#340882)
- Disable the built in gnuchess build
- Require the meta requirment chess_backend
* Thu Sep 20 2007 maw@suse.de
- Update to version 2.20.0.1:
  + Fixes a broken gnome-sudoku .desktop file.
* Tue Sep 18 2007 maw@suse.de
- Update to version 2.20.0:
  + Aisleriot:
  * Fix timer suspend on window iconification; and fix the
    corrupted statistics on load
  * Revert the spider options order in menu
  + Gnometris
  * pre-filled rows, and density of blocks in a pre-filled row
    works again
  + Nibbles
  * Add missing includes
  + Robots:
  * Add prototype for load_keys() to silence warning
  + GGZ:
  * Add included ggzdmod to build path
  + Updated translations.
* Mon Sep 10 2007 maw@suse.de
- Update to versino 2.19.92:
  + Aislerot:
  * Remove ellipsis from "Select game" button on toolbar
  * Remove stray debug spew
  + Robots:
  * Updated docs
  * Apply keys when closing preferences instead of when
    restarting game
  * Unfocus the toolbar to prevent accidentally starting a game
    by pressing space
  + Sudoku:
  * Don't crash if puzzle generator target is zero
  + Tetravex:
  * Blank tiles when game is paused
  * Remove dead code
  + Updated translations.
* Fri Sep  7 2007 sbrabec@suse.cz
- Fixed %%post to correctly update scores (#309145).
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.91.1:
  (bug numbers are for bugzilla.gnome.org)
  Aisleriot:
  - Fix translation of "Autoplay" in Napoleons Tomb (#469363).
  Gnometris:
  - New default theme with tango styled blocks and a new background image.
  - Remove gaussian blur in background image to improve rendering performance.
  Mahjongg:
  - Improved listing of themes (bug #406856).
  - Fix workaround for bug #353964.
  Tetravex:
  - New tango-fied tetravex icon with colours (bug #451830).
  Sudoku:
  - Fix a crash when solving a sudoku, caused by a type mismatch (#470523).
  glChess:
  - Fix a startup crash in glChess: Bug #471238..
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.6:
  + Compilation fixes
  + All games except gnomine have been ported to use the GamesConf API
  + Aislerot:
  * New game: Napoleon's Tomb
  * Sound support
  * Misc. fixes
  + Tali:
  * Minor .desktop file changes
  + Sudoku:
  * Misc. fixes
  + Gnobots:
  * Misc. fixes
- Respin gnome-games-desktop.patch
- Use %%fdupes.
* Tue Jul 10 2007 maw@suse.de
- Update to version 2.19.4
- Many bugfixes.
* Mon Jun 11 2007 sbrabec@suse.cz
- Provide and obsolete glchess.
* Thu May 24 2007 stbinner@suse.de
- remove X-SuSE-translate from .desktop files patches
* Mon May 14 2007 pgajdos@suse.cz
- removed gnome-icon-theme from Requires and BuildRequires
  [#247450]
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- Fixes for gnome sudoku (#409739, #417191, #422748, #380780,
  [#413848], #406767, and #409740, all at bugzilla.gnome.org)
- Updated translations for a various locales.
* Wed Apr  4 2007 maw@suse.de
- Own a number of directories that were previously unowned.
* Wed Apr  4 2007 maw@suse.de
- Bring gnome-games-desktop.patch closer to SUSE's standard.
* Wed Apr  4 2007 maw@suse.de
- Update to version 2.18.0
- New games, glchess and gnome-sudoku
- Refresh gnome-games-desktop.patch (gnome-games no longer
  includes gataxx)
- Remove references to gataxx in the .spec
- b.g.o 408331, 406664, 406712, 406756, 398471, 404317, and 401895
- Update BuildRequires.
* Fri Mar  9 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
* Sat Jan 27 2007 ro@suse.de
- change default permissions for games to 0755
  (permission set "secure")
* Thu Jan  4 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Fri Oct 13 2006 aj@suse.de
- Fix BuildRequires for guile.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.16.1
- Install all icon sizes for the games
- Remove compilation warings
- Correct a link in Aisleriot's documentation
- translation updates
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- Updated GTali, Gnomines, Gnibbles, Gataxx and Iagno menu icons
  and added SVG versions of those from Daniel Derozier
- Updated translations
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.6
- updates to translations
- fix crasher bug #342038
- fix rendering of prelight #349696
* Fri Aug 11 2006 jhargadon@suse.de
- update to version 2.15.5
- The pause game option now behaves consistently
- Improved the desktop file summaries of all games.
- gnome-stones has been removed.
* Mon Mar 27 2006 gekker@suse.de
- Disable Zeroconf support (#160630)
* Mon Mar 13 2006 sreeves@suse.de
- More Updates to .desktop file (Name, GenericName, Comment, DocPath)
* Fri Mar  3 2006 sbrabec@suse.cz
- Fixed BuildRequires (added C++).
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 18 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 15 2006 gekker@suse.de
- Fix crasher bug in gnomines (b.g.o#320713)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
- Remove upstreamed patch
* Thu Sep 22 2005 sbrabec@suse.cz
- Fixed Persian translation (#61490).
* Thu Sep 15 2005 sbrabec@suse.cz
- Build with gob2.
- Worked-around iagno permissions clash for PLUS.
* Mon Sep  5 2005 mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Wed Aug 24 2005 ke@suse.de
- Fix xml files.  Reported by Olaf Hering, see bug #112642
* Mon Aug 22 2005 rodrigo@suse.de
- Update to version 2.11.5
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.11.4
* Wed Aug 10 2005 sbrabec@suse.cz
- Updated permissions (#103844).
- Removed obsolete scores.
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.3
* Fri Jun 24 2005 gekker@suse.de
- Update to version 2.11.1
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- Update to version 2.9.7
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.6
* Sat Feb  5 2005 gekker@suse.de
- Update to version 2.9.5
* Tue Feb  1 2005 meissner@suse.de
- 0->NULL in one gtk call.
* Thu Jan 20 2005 clahey@suse.de
- Updated to version 2.9.4.
* Wed Jan  5 2005 gekker@suse.de
- Update to version 2.9.3
- Remove 64-bit patch (upstreamed).
* Tue Nov 23 2004 hvogel@suse.de
- correct desktop files
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Mon Sep 27 2004 sbrabec@suse.cz
- More 64-bit problems fixed (#45253).
* Wed Sep 22 2004 sbrabec@suse.cz
- Fixed gnometris crash (#45728).
* Tue Sep  7 2004 sbrabec@suse.cz
- Generated shared mime info.
* Tue Aug 31 2004 clahey@suse.de
- Don't call --check as many of these docs fail the check.
* Thu Aug 26 2004 clahey@suse.de
- Cache gnome-games help and make gnome-games show up in khelpcenter.
* Wed May 12 2004 clahey@suse.de
- Added libcroco-devel builddep.
* Thu Apr 29 2004 hhetter@suse.de
- updated to version 2.6.0.1 [GNOME 2.6]
- include new mahjongg scores
* Wed Mar 17 2004 sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to gnome-games.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Tue Jan 27 2004 hhetter@suse.de
- updated to version 2.4.2
* Mon Jan 12 2004 ro@suse.de
- removed duplicate %%post
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Nov  4 2003 ro@suse.de
- package according to permissions.secure and add run_permissions
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Wed Oct 15 2003 ro@suse.de
- use special permissions files to build on PLUS
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 20 2003 kukuk@suse.de
- Provide/Obsolete gnome-games
* Thu Sep 18 2003 kukuk@suse.de
- Game binaries should be owner games, too.
* Wed Sep 17 2003 sbrabec@suse.cz
- Fixed permissions (bug #31103).
* Sun Sep  7 2003 adrian@suse.de
- add Categories
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul  3 2003 hhetter@suse.de
- updated to version 2.2.1
* Fri Jun 27 2003 sbrabec@suse.cz
- Updated neededforbuild.
- Fixed packaging of files.
- FHS fix (enables saving scores).
* Fri Feb 21 2003 sbrabec@suse.cz
- Fixed %%files.
- Added docs.
- Fixed typo in FPI in gnotski-C.omf.
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.0
* Thu Jan 16 2003 sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Mon Nov 18 2002 hhetter@suse.de
- updated to version 2.0.6, pure translation update
* Thu Oct 31 2002 hhetter@suse.de
- updated to version 2.0.4
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 hhetter@suse.de
- updated to version 2.0.3
* Mon Aug 12 2002 ro@suse.de
- removed control-center from neededforbuild
* Fri Aug  2 2002 ro@suse.de
- fix file-list: no defattr root for files
  that should be sgid games
* Wed Jul 31 2002 hhetter@suse.de
- initiate scrollkeeper update
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Tue Jul 16 2002 hhetter@suse.de
- fixed filelist
* Thu Jun 20 2002 jordi@suse.de
- updated to version 2.0.1
* Fri Jun 14 2002 hhetter@suse.de
- provide schemas
* Thu Jun 13 2002 hhetter@suse.de
- updated to version 2.0.0
* Mon Jun 10 2002 ro@suse.de
- fix libdir usage
* Mon Jun 10 2002 hhetter@suse.de
- initial SuSE package
